
Redmine - Defect #40770

Regarding the configuration of email notifications for Async mode.

2024-05-31 14:57 - Ayden Cho

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 5.1.2

Description

The error occurred when I changed the configuration to "async_smtp" mode on my Redmine.

I remember that Redmine 3.4.9.stable version is normal.

<error log on apache web server>

App 10381 output: Redmine now uses ActiveJob to send emails asynchronously and the :async_smtp delivery method is no longer

available.

App 10381 output: Please update your config/configuration.yml to use :smtp delivery method instead.

App 10381 output: Error: The application encountered the following error: Redmine now uses ActiveJob to send emails

asynchronously and the :async_smtp delivery method is no longer available.

App 10381 output: Please update your config/configuration.yml to use :smtp delivery method instead. (SystemExit)

App 10381 output:     /var/www/redmine/lib/redmine/configuration.rb:65:in `abort'

App 10381 output:     /var/www/redmine/lib/redmine/configuration.rb:65:in `block in load'

App 10381 output:     /var/www/redmine/lib/redmine/configuration.rb:61:in `each'

App 10381 output:     /var/www/redmine/lib/redmine/configuration.rb:61:in `load'

App 10381 output:     /var/www/redmine/lib/redmine/configuration.rb:79:in `[]'

App 10381 output:     /var/www/redmine/config/initializers/30-redmine.rb:15:in `<top (required)>'

App 10381 output:     /usr/local/rvm/gems/ruby-3.2.4/gems/activesupport-6.1.7.7/lib/active_support/dependencies.rb:326:in `load'

App 10381 output:     /usr/local/rvm/gems/ruby-3.2.4/gems/activesupport-6.1.7.7/lib/active_support/dependencies.rb:326:in `block in

load'

App 10381 output:     /usr/local/rvm/gems/ruby-3.2.4/gems/activesupport-6.1.7.7/lib/active_support/dependencies.rb:299:in

`load_dependency'

App 10381 output:     /usr/local/rvm/gems/ruby-3.2.4/gems/activesupport-6.1.7.7/lib/active_support/dependencies.rb:326:in `load'

App 10381 output:     /usr/local/rvm/gems/ruby-3.2.4/gems/railties-6.1.7.7/lib/rails/engine.rb:681:in `block in load_config_initializer'

App 10381 output:     /usr/local/rvm/gems/ruby-3.2.4/gems/activesupport-6.1.7.7/lib/active_support/notifications.rb:205:in `instrument'

App 10381 output:     /usr/local/rvm/gems/ruby-3.2.4/gems/railties-6.1.7.7/lib/rails/engine.rb:680:in `load_config_initializer'

App 10381 output:     /usr/local/rvm/gems/ruby-3.2.4/gems/railties-6.1.7.7/lib/rails/engine.rb:634:in `block (2 levels) in <class:Engine>'

App 10381 output:     /usr/local/rvm/gems/ruby-3.2.4/gems/railties-6.1.7.7/lib/rails/engine.rb:633:in `each'

App 10381 output:     /usr/local/rvm/gems/ruby-3.2.4/gems/railties-6.1.7.7/lib/rails/engine.rb:633:in `block in <class:Engine>'

App 10381 output:     /usr/local/rvm/gems/ruby-3.2.4/gems/railties-6.1.7.7/lib/rails/initializable.rb:32:in `instance_exec'

App 10381 output:     /usr/local/rvm/gems/ruby-3.2.4/gems/railties-6.1.7.7/lib/rails/initializable.rb:32:in `run'

App 10381 output:     /usr/local/rvm/gems/ruby-3.2.4/gems/railties-6.1.7.7/lib/rails/initializable.rb:61:in `block in run_initializers'

App 10381 output:     /usr/local/rvm/rubies/ruby-3.2.4/lib/ruby/3.2.0/tsort.rb:228:in `block in tsort_each'

App 10381 output:     /usr/local/rvm/rubies/ruby-3.2.4/lib/ruby/3.2.0/tsort.rb:350:in `block (2 levels) in

each_strongly_connected_component'

App 10381 output:     /usr/local/rvm/rubies/ruby-3.2.4/lib/ruby/3.2.0/tsort.rb:422:in `block (2 levels) in

each_strongly_connected_component_from'

App 10381 output:     /usr/local/rvm/rubies/ruby-3.2.4/lib/ruby/3.2.0/tsort.rb:431:in `each_strongly_connected_component_from'

App 10381 output:     /usr/local/rvm/rubies/ruby-3.2.4/lib/ruby/3.2.0/tsort.rb:421:in `block in

each_strongly_connected_component_from'

App 10381 output:     /usr/local/rvm/gems/ruby-3.2.4/gems/railties-6.1.7.7/lib/rails/initializable.rb:50:in `each'

App 10381 output:     /usr/local/rvm/gems/ruby-3.2.4/gems/railties-6.1.7.7/lib/rails/initializable.rb:50:in `tsort_each_child'

App 10381 output:     /usr/local/rvm/rubies/ruby-3.2.4/lib/ruby/3.2.0/tsort.rb:415:in `call'

App 10381 output:     /usr/local/rvm/rubies/ruby-3.2.4/lib/ruby/3.2.0/tsort.rb:415:in `each_strongly_connected_component_from'

App 10381 output:     /usr/local/rvm/rubies/ruby-3.2.4/lib/ruby/3.2.0/tsort.rb:349:in `block in each_strongly_connected_component'

App 10381 output:     /usr/local/rvm/rubies/ruby-3.2.4/lib/ruby/3.2.0/tsort.rb:347:in `each'

App 10381 output:     /usr/local/rvm/rubies/ruby-3.2.4/lib/ruby/3.2.0/tsort.rb:347:in `call'

App 10381 output:     /usr/local/rvm/rubies/ruby-3.2.4/lib/ruby/3.2.0/tsort.rb:347:in `each_strongly_connected_component'

App 10381 output:     /usr/local/rvm/rubies/ruby-3.2.4/lib/ruby/3.2.0/tsort.rb:226:in `tsort_each'

App 10381 output:     /usr/local/rvm/rubies/ruby-3.2.4/lib/ruby/3.2.0/tsort.rb:205:in `tsort_each'

App 10381 output:     /usr/local/rvm/gems/ruby-3.2.4/gems/railties-6.1.7.7/lib/rails/initializable.rb:60:in `run_initializers'

App 10381 output:     /usr/local/rvm/gems/ruby-3.2.4/gems/railties-6.1.7.7/lib/rails/application.rb:391:in `initialize!'
App 10381 output:     /var/www/redmine/config/environment.rb:16:in `<top (required)>'

App 10381 output:     config.ru:3:in `require_relative'

App 10381 output:     config.ru:3:in `block in <main>'

App 10381 output:     /usr/local/rvm/gems/ruby-3.2.4/gems/rack-2.2.9/lib/rack/builder.rb:125:in `instance_eval'

App 10381 output:     /usr/local/rvm/gems/ruby-3.2.4/gems/rack-2.2.9/lib/rack/builder.rb:125:in `initialize'

App 10381 output:     config.ru:1:in `new'

App 10381 output:     config.ru:1:in `<main>'

App 10381 output:     /usr/local/rvm/gems/ruby-3.2.4/gems/passenger-6.0.22/src/helper-scripts/rack-preloader.rb:101:in `eval'

App 10381 output:     /usr/local/rvm/gems/ruby-3.2.4/gems/passenger-6.0.22/src/helper-scripts/rack-preloader.rb:101:in

`preload_app'

App 10381 output:     /usr/local/rvm/gems/ruby-3.2.4/gems/passenger-6.0.22/src/helper-scripts/rack-preloader.rb:189:in `block in

<module:App>'

App 10381 output:    

/usr/local/rvm/gems/ruby-3.2.4/gems/passenger-6.0.22/src/ruby_supportlib/phusion_passenger/loader_shared_helpers.rb:399:in

`run_block_and_record_step_progress'

App 10381 output:     /usr/local/rvm/gems/ruby-3.2.4/gems/passenger-6.0.22/src/helper-scripts/rack-preloader.rb:188:in

`<module:App>'

App 10381 output:     /usr/local/rvm/gems/ruby-3.2.4/gems/passenger-6.0.22/src/helper-scripts/rack-preloader.rb:30:in

`<module:PhusionPassenger>'

App 10381 output:     /usr/local/rvm/gems/ruby-3.2.4/gems/passenger-6.0.22/src/helper-scripts/rack-preloader.rb:29:in `<main>'

[ E 2024-05-31 17:54:50.5192 10070/T12 age/Cor/App/Implementation.cpp:221 ]: Could not spawn process for application

/var/www/redmine: The application encountered the following error: Redmine now uses ActiveJob to send emails asynchronously

and the :async_smtp delivery method is no longer available.

Please update your config/configuration.yml to use :smtp delivery method instead. (SystemExit)

Error ID: 90c4dc83

Error details saved to: /tmp/passenger-error-tPHomq.html

[ E 2024-05-31 17:54:50.5205 10070/Te age/Cor/Con/CheckoutSession.cpp:283 ]: [Client 3-2] Cannot checkout session because a

spawning error occurred. The identifier of the error is 90c4dc83. Please see earlier logs for details about the error.

<My redmine configuration for email notifications>

production:

delivery_method: :async_smtp

async_smtp_settings:

enable_starttls_auto: true

address: "smtp.gmail.com"

port: 587

domain: "smtp.gmail.com"

authentication: :plain

user_name: "xxx@gmail.com"

password: "********"

History

#1 - 2024-06-01 08:57 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Invalid

As described in the error message, please use smtp instead of async_smtp.

async_smtp was removed in Redmine 4.0 (#26791). Since emails are sent in the background in Redmine 4.0 and later, async_smtp is no longer

necessary.

#2 - 2024-06-02 12:03 - Ayden Cho

Go MAEDA wrote in #note-1:

As described in the error message, please use smtp instead of async_smtp.

async_smtp was removed in Redmine 4.0 (#26791). Since emails are sent in the background in Redmine 4.0 and later, async_smtp is no longer

necessary.

 Thanks for your information.

Files
